Subject: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2019 19:32:27 +0300

> From: Sebastian Urban <[email-masked]>
> Date: Fri, 24 May 2019 17:59:09 +0200
> 
> I gathered few mistakes in the manual and 3 proposals for it, in one
> report, because they are small (maybe except 2nd and 3rd proposal) and
> sending them one by one would be spam-ish.  I found them in GNU Emacs
> 25.2.1 (i686-w64-mingw32) of 2017-04-24 and PDFs updated for 25.2 and
> 26.2.

Thanks.  I fixed most of the issues, see below.

> 1.  In INFO 11.7 Disabling Transient Mark Mode:
> - ‘M-x transient-mark-mode’, or with the ‘Active Region Highlighting’ menu
> + ‘M-x transient-mark-mode’, or with the ‘Highlight Active Region’ menu
> This is correct name of menu item.
> 
> 2.  In INFO 13.2 Saving Text in Registers:
> - activating it.  With a numeric argument, it instead puts point before
> + activating it.  With a prefix argument, it instead puts point before
> Help window of 'insert-register' has prefix arg.
> 
> 3.  In INFO 13.3 Saving Rectangles in Registers:
> -      (‘copy-rectangle-to-register’).  With numeric argument, delete it
> +      (‘copy-rectangle-to-register’).  With prefix argument, delete it
> Help window of 'copy-rectangle-to-register' has prefix arg.

Fixed these.

> 4.  In INFO 14.2 Recentering:
> in paragraph starting with "You can also give ‘C-l’ a prefix
> argument.", expressions:
>     - "recenters point" should be "recenters line"
>     - "puts point" (3 occurrences) should rather be "moves current
>     line", because point is moved this way by 'M-r'
>     ('move-to-window-line-top-bottom') and also in help window for
>     'recenter-top-bottom' we have "move current line".

I used a different wording, like "move point's line to ...".

> 5.  In INFO 14.19 How Text Is Displayed:
> - have an integer value between 1 and 1000, inclusive.  Note that how the
> + have an integer value between 1 and 1000, inclusive.  Note how the
> I think "that" is unnecessary, "Note that how the tab character
> (...)", will change into "Note how the tab character (...)".  Although
> I'm not sure of it, maybe current form is correct?

The current text is correct, but it's confusing.  I reworded it.

> 1.  In PDF 4.1 Inserting Text:
> in paragraph starting with "A few common Unicode characters can be
> inserted (...)" (near word "respectively"), "left double quotation
> mark" (curved) is displayed as "backslash" and "right double quotation
> mark" (curved) is displayed as "straight double quotes".  In INFO it
> looks ok.
> 
> 2.  In PDF 4.1 Inserting Text:
> in paragraph starting with "In some contexts, if you type a quotation
> (...)", display of quotes is messed up, quotes surrounding Nth
> occurrence of "like this" should be:
>     - 1st - "grave accent" and "apostrophe",
>     - 2nd - is ok,
>     - 3rd - 2x "grave accent" and 2x "apostrophe",
>     - 4th - "left double quotation mark" (curved) and "right double
>       quotation mark" (curved)
> Or just look into INFO, it's ok there.
> 
> 3.  In PDF 11.19 How Text Is Displayed:
> in last paragraph, first line, "left double quotation mark" (curved)
> is displayed as "backslash" and "right double quotation mark" (curved)
> is displayed as "straight double quotes".  In INFO it looks ok.

I believe you saw these in the Emacs 25 manual.  We did a lot of fixes
regarding these special characters in preparation for Emacs 26
release, so please be sure to look in the latest version (it is best
to checkout the current emacs-26 branch and produce PDF from its
sources).  I didn't change any of the issues with quotes, as I don't
have a PDF version of the manual handy, and couldn't myself check
whether there are leftovers.

> 1.  Emphasize a word
> In both INFO(7.10 Numeric arguments) and PDF(4.10 Numeric Arguments),
> in last paragraph, there is a word "before", I suggest to emphasize
> this word (or maybe make it slanted, up to you).  It will have
> stronger (visual) connection to slanted "prefix argument".

I did that.

> 2.  Header style should be changed.
> It shows page number in right upper corner on every page, but it
> should show it in right upper corner for odd (right-side) pages and in
> left upper corner for even (left-side) pages - just like in normal
> book.
> 
> 3.  Add numbers to sections (& subsect.) for bookmark/navigation pane.
> When you open it in any PDF reader with manual loaded, it only shows
> names of sections, and without numbers it's difficult to navigate.

These are beyond our control (well, unless we want to write a lot of
TeX glue in the manual): this is how Texinfo works.

Thanks.